summaryrefslogtreecommitdiff
path: root/BS/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'BS/run.sh')
-rwxr-xr-xBS/run.sh20
1 files changed, 13 insertions, 7 deletions
diff --git a/BS/run.sh b/BS/run.sh
index cf32e4f..0c67c93 100755
--- a/BS/run.sh
+++ b/BS/run.sh
@@ -8,15 +8,21 @@ set -e
# -e: number of timed iterations
# -i; ignored, always uses 262144 elements
-echo "prim-benchmarks VA (dfatool edition)"
+(
+
+echo "prim-benchmarks BS (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
- for nr_tasklets in 1 2 3 4 6 8 10 12 16 20 24; do
- echo
- if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
- timeout --foreground -k 1m 30m bin/bs_host -w 0 -e 100 || true
- fi
+for i in 262144 16777216; do
+ for nr_dpus in 1 4 8 16 32 64 128 256 512 768 1024 1536 2048 2304 2542; do
+ for nr_tasklets in 8 12 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/bs_host -w 0 -e 100 -i $i || true
+ fi
+ done
done
done
+echo "Completed at $(date)"
+) | tee "log-$(hostname)-ndpus.txt"